# Interface EntityProperties

Serializable properties for Entity.

interface EntityProperties {
id?: string;
}

#### Hierarchy (view full)

- EntityProperties
  - EntityBaseProperties
  - LanguageResourcesProperties
  - AttachmentProperties
  - FeatureListProperties
  - FeatureSetProperties
  - FeatureStreamProperties
  - BookmarkProperties

#####
Index

### Properties

id?

##
Properties

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.